# getSameSpeciesEggCandyCounts | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function getSameSpeciesEggCandyCounts

- getSameSpeciesEggCandyCounts(starterCost: number): number

  Getter for starterCandyCosts for egg purchase candy cost based on initial point cost

  #### Parameters

  - starterCost: number

    the default point cost of the starter found in `speciesStarterCosts`

  #### Returns number

  the candy cost for the purchasable egg

  - Defined in src/data/balance/starters.ts:657